- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreLight.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreColourValue.h"`
`#include "OgreVector3.h"`
`#include "OgreVector4.h"`
`#include "OgreString.h"`
`#include "OgreMovableObject.h"`
`#include "OgrePlaneBoundedVolume.h"`
`#include "OgreShadowCameraSetup.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Light
| Representation of a dynamic light source in the scene. More...
class | Ogre::LightFactory
| Factory object for creating Light instances. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008